routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::resource('category','CategoryController');
Route::resource('subcategory','SubCategoryController');
Route::resource('product','ProductController');
Route::resource('production','ProductionController');
Route::get('/generate_pdf', 'OrderController@generate')->name('order.generate-pdf');
Route::resource('order','OrderController');

app/Stock.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Stock extends Model
{
    protected $fillable = ['product_id','quantity'];

    protected $table = 'stocks';

    public function product(){
        return $this->belongsTo('App\Product','product_id');
    }
}

resources/views/stock/create.blade.php
@extends('layouts.app')

@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header">Add Sub Categort</div>

                    <div class="card-body">
                        <form method="post" action="{{route('production.store')}}">
                            @csrf
                            <label>Product</label>
                            <select class="form-control" name="product_id">
                                @foreach($product as $row)
                                    <option value="{{$row->id}}">{{$row->name}}</option>
                                @endforeach
                            </select>
                            <label>Produced Quantity</label>
                            <input type="integer" class="form-control" name="quantity" required>
                            <input type="submit" name="Submit">
                        </form>

                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/stock/index.blade.php
@extends('layouts.app')

@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header">Product</div>

                    <div class="card-body">
                        @if (session('status'))
                            <div class="alert alert-success" role="alert">
                                {{ session('status') }}
                            </div>
                        @endif
                        <a href="{{route('production.create')}}" class="btn btn-primary">Create Production</a>
                        <table class="table table-responsive">
                            <thead>
                            <tr>
                                <th>Product</th>
                                <th>Quantity</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($stock as $row)
                                <tr>
                                    <td>{{$row->product->name}}</td>
                                    <td>{{$row->quantity}}</td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection